Description

It looks like there are copyright problems with Freedroid.

FreedroidClassic is Paradroid clone, using classic graphics. Also, it is buggy and Debian patches must be applied.
FreedroidRPG uses data from FreedroidClassic.

Paradroid is non-free.

History

#1 - 2018-11-30 01:09 PM - freemor

Please provide documentation of these issues, with citations.

#2 - 2018-12-01 10:50 PM - Anonymous

You can find some data and screenshot on Wikipedia.
https:/en.wikipedia.org/wiki/Paradroid

#3 - 2018-12-01 11:09 PM - bill-auger
- Priority changed from bug to freedom issue

- Status changed from open to info needed

there is not enough information provided to begin - specific filenames, package names, license names are among the first things that need to be
determined

temporaryuser wrote:
It looks like there are copyright problems with Freedroid.
Paradroid is non-free.
is this regarding non-free code or non-free artworks? - what are the copyright problems exactly?
most importantly, how do you know this? - can you provide some example file or web URL that others can verify for themselves?
temporaryuser wrote:

FreedroidClassic is Paradroid clone, using classic graphics. FreedroidRPG uses data from FreedroidClassic.

exactly which parabola package is in question here?

$ pacman -Ss freedroid
community/freedroid 1.0.2-10

a clone of the classic game 'Paradroid' on Commodore 64
community/freedroidrpg 0.16.1-3

a mature science fiction role playing game set in the future

temporaryuser wrote:
Also, it is buggy and Debian patches must be applied.

most ppl agree that any freedom patches in debian should be applied in parabola - are there actually any for this program today that are not patched
in parabola?

#4 - 2018-12-01 11:20 PM - Anonymous

Another issue.
There is Female Hunter NPC. She has Superman logo which is non-free.
Both packages.
There is no non-free code. Some artwork is derivative work from Paradroid.

#5 - 2018-12-01 11:23 PM - Anonymous

About patches: freedroid package is not patches. When player uses "Deck Map", it crashes with SIGSEGV, which is fixed in Debian.

There is white square when hovering over Deck Map, it is fixed in fork.

I think you should it: https:/github.com/ReinhardPrix/FreedroidClassic (please, check Paradroid.ogg sound license, also apply Debian patches where
possible, fix Collision sound and uncomment DeathCount).
